## golang-golang-x-tools 0.0~git20190125.d66bd3c+ds

=== cmd/tip/Makefile ===
# Copyright 2017 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

VERSION ?= $(shell git rev-parse --short HEAD)
MUTABLE_VERSION ?= latest

IMAGE_STAGING := gcr.io/go-dashboard-dev/tip
IMAGE_PROD := gcr.io/symbolic-datum-552/tip

.PHONY: usage

usage:
	echo "See Makefile"
	exit 1

update-deps:
	go install golang.org/x/build/cmd/gitlock
	gitlock --update=Dockerfile --ignore=NONE --tags=autocert golang.org/x/tools/cmd/tip

docker-image: Dockerfile *.go
	docker build --force-rm -f Dockerfile --tag=$(IMAGE_PROD):$(VERSION) .
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_PROD):$(MUTABLE_VERSION)
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_STAGING):$(VERSION)
	docker tag $(IMAGE_PROD):$(VERSION) $(IMAGE_STAGING):$(MUTABLE_VERSION)

push-prod: docker-image
	docker push $(IMAGE_PROD):$(MUTABLE_VERSION)
	docker push $(IMAGE_PROD):$(VERSION)
push-staging: docker-image
	docker push $(IMAGE_STAGING):$(MUTABLE_VERSION)
	docker push $(IMAGE_STAGING):$(VERSION)

deploy-prod: push-prod
	go install golang.org/x/build/cmd/xb
	xb --prod kubectl set image deployment/tipgodoc-deployment tipgodoc=$(IMAGE_PROD):$(VERSION)
deploy-staging: push-staging
	go install golang.org/x/build/cmd/xb
	xb --staging kubectl set image deployment/tipgodoc-deployment tipgodoc=$(IMAGE_STAGING):$(VERSION)

=== debian/control ===
Source: golang-golang-x-tools
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-golang (>= 1.31~),
               golang-any (>= 2:1.8~),
               golang-golang-x-net-dev,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.tools
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.tools.git
Homepage: https://golang.org/x/tools
XS-Go-Import-Path: golang.org/x/tools

Package: golang-golang-x-tools
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: golang-doc,
Breaks: golang-go (<< 2:1.2),
        golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools,
Replaces: golang-go (<< 2:1.2),
          golang-go.tools (<< 1:0.0~git20150716.0.87156cb~),
Built-Using: ${misc:Built-Using},
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-go.tools
Architecture: any
Section: oldlibs
Depends: golang-golang-x-tools,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools
 This is a transitional package to ease upgrades to the golang-golang-x-tools
 package. It can safely be removed.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Provides: golang-go.tools-dev,
Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

Package: golang-go.tools-dev
Architecture: all
Section: oldlibs
Depends: golang-golang-x-tools-dev,
         ${misc:Depends},
Description: Transitional package for golang-golang-x-tools-dev
 This is a transitional package to ease upgrades to the
 golang-golang-x-tools-dev package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE := 1

# Exclude "cover" since it is included in core as of Go 1.5+. Exclude heapview
# due to weird javascript dependencies. Exclude gopls/forward, as it does not
# seem to be used, and conflicts with binaries in other packages.
export DH_GOLANG_EXCLUDES := golang.org/x/tools/cmd/cover \
    golang.org/x/tools/cmd/heapview golang.org/x/tools/godoc/static \
    golang.org/x/tools/cmd/gopls/forward

# godoc/static is needed for tests.
export DH_GOLANG_INSTALL_EXTRA := godoc/static

BUILDDIR := $(CURDIR)/build

# Some tests require GOCACHE to be enabled, and with path including a component
# named 'go-build'.
export GOCACHE := $(BUILDDIR)/go-build

override_dh_auto_install:
	dh_auto_install
	# Rename “eg” to “golang-eg” (#753978)
	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
	# Rename “bundle” to “golang-bundle” (#818551)
	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
	# Rename “guru” to “golang-guru”
	mv debian/tmp/usr/bin/guru debian/tmp/usr/bin/golang-guru

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -test.short
endif

%:
	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

=== debian/watch ===
version=3

opts=mode=git,pretty=0.0~git%ad.%h,\
dversionmangle=s/\+ds\d*$//,\
 https://github.com/golang/tools \
 heads/master debian

## golang-golang-x-tools 0.0~git20190729.ff9f140+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20190729.ff9f140+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20190729.ff9f140+ds
  * Add "repacksuffix=+ds" to debian/watch
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Bump Standards-Version to 4.4.0 (no change)
  * Add golang-golang-x-sync-dev to Build-Depends,
    and bump golang-any (>= 2:1.11~)
  * Refresh patches, especially:
    - Disable new TestURL test in 0006-Do_not_depend_on_golang-doc.patch
    - Remove 0009_Skip_broken_TestGuru_for_old_Go_versions_for_now.patch
  * debian/rules: Skip dh_dwz.  See #933541 for more information.
  * Remove debian/patches/0004-heapview.patch:
    cmd/heapview was deleted by upstream author in commit 3c4dfba.
  * Update godoc.1 to reflect the removal of CLI support in Go 1.12.
    Users who want CLI support can use "go doc".

 -- Anthony Fok <foka@debian.org>  Wed, 31 Jul 2019 07:22:06 -0600

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.31~),
-               golang-any (>= 2:1.8~),
+               golang-any (>= 2:1.11~),
                golang-golang-x-net-dev,
-Standards-Version: 4.3.0
+               golang-golang-x-sync-dev
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-go.tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-go.tools.git
 Homepage: https://golang.org/x/tools

## golang-golang-x-tools 0.0~git20190809.6d4652c+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-2ubuntu1) eoan; urgency=medium

  * Skip another RAM hungry test.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 03 Sep 2019 09:15:33 +1200

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-2) unstable; urgency=medium

  * Team upload.
  * d/patches/0013-skip-TestBExportData_stdlib.patch: skip test that OOMs in autopkgtest.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 02 Sep 2019 09:12:18 +1200

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20190809.6d4652c
  * Remove third_party from Files-Excluded in debian/copyright
    as it has been removed upstream in commit ae772f1 on 2019-03-21
  * Add dependency on golang-golang-x-xerrors-dev as per upstream
    commit be5259f on 2019-08-06

 -- Anthony Fok <foka@debian.org>  Sat, 10 Aug 2019 20:34:51 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-golang-x-tools
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -11,6 +12,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.31~),
                golang-any (>= 2:1.11~),
+               golang-golang-x-xerrors-dev,
                golang-golang-x-net-dev,
                golang-golang-x-sync-dev
 Standards-Version: 4.4.0
@@ -56,6 +58,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         golang-golang-x-xerrors-dev,
+         golang-golang-x-net-dev,
+         golang-golang-x-sync-dev
 Breaks: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),
 Provides: golang-go.tools-dev,
 Replaces: golang-go.tools-dev (<< 1:0.0~git20150716.0.87156cb~),

=== debian/rules ===
--- 
+++ 
@@ -37,5 +37,8 @@
 	dh_auto_test -- -test.short
 endif
 
+override_dh_dwz:
+	# Skipping dh_dwz, see https://bugs.debian.org/933541
+
 %:
 	dh $@ --buildsystem=golang --with=golang --builddir=$(BUILDDIR)

## golang-golang-x-tools 0.0~git20191118.07fc4c7%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20191118.07fc4c7+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20191118.07fc4c7
  * Drop transitional packages golang-go.tools and golang-go.tools-dev
    (Closes: #939231, 939232)
  * Bump Standards-Version to 4.4.1 (no change)
  * Drop 0014-go-packages-update-tests-to-reflect-changes-in-golan.patch
    (upstream patch to fix packages_testo.go) which is included upstream
    since 2019-10-05 or thereabouts
  * Refresh debian/patches:
    - 0005-Disable_static.go.patch
    - 0006-Do_not_depend_on_golang-doc.patch
    - 0007-Disable_tests_for_gccgo.patch
    - 0015-skip-tests-that-run-go-build.patch
  * Update Vcs-Browser and Vcs-Git, and move git repository
    from https://salsa.debian.org/go-team/packages/golang-go.tools
    to https://salsa.debian.org/go-team/packages/golang-golang-x-tools
  * Adjust DH_GOLANG_EXCLUDES to exclude gopls, which gopls has been
    separated out as its own module with different versioning from
    golang.org/x/tools.  If there were ever a need to have gopls packaged
    for Debian, it should probably done from a separate source package.
  * Revert "debian/rules: Skip dh_dwz" now that #933541 has been fixed
  * Update Build-Depends on dh-golang to (>= 1.40~) which allows us
    not to manually set GOCACHE in debian/rules.

 -- Anthony Fok <foka@debian.org>  Wed, 20 Nov 2019 22:54:30 -0700

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-4) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix packages_test.go.
  * Add Debian patch to fix endtoend_test.go.

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Tue, 05 Nov 2019 16:12:21 +0700

golang-golang-x-tools (1:0.0~git20190809.6d4652c+ds-3) unstable; urgency=medium

  * Team upload.
  * Skip another RAM hungry test in -short mode.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 04 Sep 2019 09:13:12 +1200

## golang-golang-x-tools 0.0~git20191118.07fc4c7+ds

=== debian/control ===
Source: golang-golang-x-tools
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Tim Potter <tpot@hpe.com>,
           Anthony Fok <foka@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.40~),
               golang-any (>= 2:1.11~),
               golang-golang-x-net-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-xerrors-dev,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
Homepage: https://golang.org/x/tools
XS-Go-Import-Path: golang.org/x/tools

Package: golang-golang-x-tools
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: golang-doc,
Built-Using: ${misc:Built-Using},
Description: supplementary Go tools
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.

Package: golang-golang-x-tools-dev
Architecture: all
Depends: golang-golang-x-net-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-xerrors-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: supplementary Go tools (development files)
 This subrepository holds the source for various packages and tools that
 support the Go programming language.
 .
 Some of the tools, godoc and vet for example, used to be included in the
 golang-go package. Others, including the Go oracle and the test coverage tool,
 can be fetched with "go get".
 .
 Packages include a type-checker for Go and an implementation of the Static
 Single Assignment form (SSA) representation for Go programs.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE := 1

# Exclude "cover" since it is included in core as of Go 1.5+.
# Exclude "gopls" as it requires honnef.co/go/tools which has not
# been packaged for Debian.
export DH_GOLANG_EXCLUDES := cmd/cover gopls

# godoc/static is needed for tests.
export DH_GOLANG_INSTALL_EXTRA := godoc/static

override_dh_auto_install:
	dh_auto_install
	# Rename “eg” to “golang-eg” (#753978)
	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
	# Rename “stress” to “golang-stress” (#793693)
	mv debian/tmp/usr/bin/stress debian/tmp/usr/bin/golang-stress
	# Rename “bundle” to “golang-bundle” (#818551)
	mv debian/tmp/usr/bin/bundle debian/tmp/usr/bin/golang-bundle
	# Rename “guru” to “golang-guru”
	mv debian/tmp/usr/bin/guru debian/tmp/usr/bin/golang-guru

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -test.short
endif

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+ds\d*$//, repacksuffix=+ds" \
  https://github.com/golang/tools \
  HEAD debian

## golang-golang-x-tools 0.0~git20200213.88e652f+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20200213.88e652f+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20200213.88e652f
  * Bump Standards-Version to 4.5.0 (no change)
  * Remove now obsolete 0011-Disable_Google_Analytics.patch
  * Refresh 0005-Disable_static.go.patch and
    0006-Do_not_depend_on_golang-doc.patch
  * debian/copyright: Change Upstream-Name from tools to x/tools
    and add Upstream-Contact: https://github.com/golang/go/issues
  * Update dependencies according to go.mod.
    Notably, there is a new dependency on golang-golang-x-mod-dev
  * Include our own vendored copy of golang.org/x/mod
    until golang-golang-x-mod enters Debian unstable

 -- Anthony Fok <foka@debian.org>  Wed, 26 Feb 2020 09:53:58 -0700

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.40~),
                golang-any (>= 2:1.11~),
-               golang-golang-x-net-dev,
-               golang-golang-x-sync-dev,
-               golang-golang-x-xerrors-dev,
-Standards-Version: 4.4.1
+#              golang-golang-x-mod-dev (>= 0.1.0+git20191105.c90efee~),
+               golang-golang-x-net-dev (>= 1:0.0+git20190620.3b0461e~),
+               golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
+               golang-golang-x-xerrors-dev (>= 0.0~git20191011.1b5146a~),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
 Homepage: https://golang.org/x/tools
@@ -41,9 +42,11 @@
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: golang-golang-x-net-dev,
-         golang-golang-x-sync-dev,
-         golang-golang-x-xerrors-dev,
+Depends:
+#        golang-golang-x-mod-dev (>= 0.1.0+git20191105.c90efee~),
+         golang-golang-x-net-dev (>= 1:0.0+git20190620.3b0461e~),
+         golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
+         golang-golang-x-xerrors-dev (>= 0.0~git20191011.1b5146a~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: supplementary Go tools (development files)

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,10 @@
 # godoc/static is needed for tests.
 export DH_GOLANG_INSTALL_EXTRA := godoc/static
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_configure:
+	ln -s $(CURDIR)/debian/go/src _build/src/golang.org/x/tools/vendor
+
+execute_after_dh_auto_install:
 	# Rename “eg” to “golang-eg” (#753978)
 	mv debian/tmp/usr/bin/eg debian/tmp/usr/bin/golang-eg
 	# Rename “stress” to “golang-stress” (#793693)
@@ -30,4 +32,4 @@
 endif
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

## golang-golang-x-tools 0.0~git20200410.79a7a31+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-3build1) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:15:29 +0000

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop 0010-Workaround_missing_api_symlink.patch, fixed in golang 1.12
  * Disable tests on gccgo
  * Increase test timeout
  * Update debhelper-compat to 13
  * Update lintian overrides for golang-golang-x-tools-dev

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 21 Jul 2020 00:15:03 +0800

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-2) unstable; urgency=medium

  * Team upload.
  * Don't exclude internal/lsp package. (Closes: #963166)
    It's used by other packages, and don't introduce extra dependencies.
    Fix the failing autopkgtest.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Apr 2020 01:19:41 +0800

golang-golang-x-tools (1:0.0~git20200410.79a7a31+ds-1) unstable; urgency=medium

  * New upstream version 0.0~git20200410.79a7a31+ds
    which builds successfully with golang-1.14 (Closes: #953734)
  * Add "Rules-Requires-Root: no" to debian/control
  * Revert "Include our own vendored copy of golang.org/x/mod"
    as golang-golang-x-mod entered Debian on 2020-03-07
  * Update dependencies according to go.mod.
    Notably, there is a new dependency on golang-github-yuin-goldmark-dev
  * Remove obsolete man pages builder.1 and tipgodoc.1
  * Add to DH_GOLANG_EXCLUDES "internal/lsp"
    which is a part of the previously excluded "gopls"
  * Rename or delete executables with too generic names (Closes: #953725)

 -- Anthony Fok <foka@debian.org>  Sat, 11 Apr 2020 08:51:49 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-golang-x-tools
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
@@ -8,17 +9,19 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.40~),
-               golang-any (>= 2:1.11~),
-#              golang-golang-x-mod-dev (>= 0.1.0+git20191105.c90efee~),
-               golang-golang-x-net-dev (>= 1:0.0+git20190620.3b0461e~),
-               golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
-               golang-golang-x-xerrors-dev (>= 0.0~git20191011.1b5146a~),
+               golang-any (>= 2:1.12~),
+               golang-github-yuin-goldmark-dev (>= 1.1.27),
+               golang-golang-x-mod-dev (>= 0.2.0),
+               golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
+               golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+               golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
 Homepage: https://golang.org/x/tools
+Rules-Requires-Root: no
 XS-Go-Import-Path: golang.org/x/tools
 
 Package: golang-golang-x-tools
@@ -42,11 +45,11 @@
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends:
-#        golang-golang-x-mod-dev (>= 0.1.0+git20191105.c90efee~),
-         golang-golang-x-net-dev (>= 1:0.0+git20190620.3b0461e~),
-         golang-golang-x-sync-dev (>= 0.0~git20190423.1122301~),
-         golang-golang-x-xerrors-dev (>= 0.0~git20191011.1b5146a~),
+Depends: golang-github-yuin-goldmark-dev (>= 1.1.27),
+         golang-golang-x-mod-dev (>= 0.2.0),
+         golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
+         golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+         golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: supplementary Go tools (development files)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Exclude "cover" since it is included in core as of Go 1.5+.
# Exclude "gopls" as it requires honnef.co/go/tools which has not
# been packaged for Debian.
export DH_GOLANG_EXCLUDES := \
	cmd/cover gopls internal/lsp/regtest \
	internal/lsp/helper cmd/getgo/server

# godoc/static is needed for tests.
export DH_GOLANG_INSTALL_EXTRA := godoc/static

execute_after_dh_auto_install:
	# Rename “eg” to “golang-eg” (#753978)
	# Rename “stress” to “golang-stress” (#793693)
	# Rename “bundle” to “golang-bundle” (#818551)
	# Rename “guru” to “golang-guru”
	# Rename “findcall” to “golang-findcall”, etc. (#953725)
	for i in eg stress bundle guru \
		 findcall ifaceassert lostcancel nilness stringintconv shadow unmarshal \
		 authtest cookieauth gitauth netrcauth; \
	do \
	    mv debian/tmp/usr/bin/$$i debian/tmp/usr/bin/golang-$$i; \
	done

override_dh_auto_test:
ifeq (,$(findstring gccgo, $(shell go version)))
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -short -timeout=30m
endif

%:
	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.0~git20201116.6f6c72a%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Remove GPL-3 in d/copyright
    jquery.treeview is licensed in Expat only now
  * Change section to golang

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 12:29:05 +0800

golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Add patch to skip tests which need Go mod

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 02:34:43 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: golang-golang-x-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## golang-golang-x-tools 0.0~git20201121.780cb80%2Bds

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.40~),
                golang-any (>= 2:1.12~),
+               golang-github-sergi-go-diff-dev,
                golang-github-yuin-goldmark-dev (>= 1.1.27),
                golang-golang-x-mod-dev (>= 0.2.0),
                golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
                golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
                golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
+               golang-honnef-go-tools-dev,
+               golang-mvdan-gofumpt-dev,
+               golang-mvdan-xurls-dev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
@@ -63,3 +67,17 @@
  Single Assignment form (SSA) representation for Go programs.
  .
  This package contains the development files.
+
+Package: gopls
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using},
+Breaks: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
+Replaces: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
+Description: language server for the Go language
+ gopls (pronounced: "go please") is the official language server for the Go
+ language.
+ .
+ The Language Server Protocol allows any text editor to be extended with
+ IDE-like features.

## golang-golang-x-tools 0.0~git20201121.780cb80+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.0~git20201121.780cb80+ds-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces in gopls (Closes: #975544)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Nov 2020 22:52:34 +0800

golang-golang-x-tools (1:0.0~git20201121.780cb80+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot
  * Exclude slow gopls regtest

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Nov 2020 13:13:17 +0800

golang-golang-x-tools (1:0.0~git20201116.6f6c72a+ds-3) experimental; urgency=medium

  * Team upload.
  * Enable building gopls and split it to a standalone package.
    gopls is the official language server for the Go language.
    Closes: #974931

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 17 Nov 2020 23:05:54 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,18 @@
 # -*- makefile -*-
 
 # Exclude "cover" since it is included in core as of Go 1.5+.
-# Exclude "gopls" as it requires honnef.co/go/tools which has not
-# been packaged for Debian.
+# Some gopls tests take too much time
 export DH_GOLANG_EXCLUDES := \
-	cmd/cover gopls internal/lsp/regtest \
-	internal/lsp/helper cmd/getgo/server
+	cmd/cover cmd/getgo/server \
+	internal/lsp/helper gopls/doc \
+	gopls/internal/regtest gopls/integration
 
 # godoc/static is needed for tests.
 export DH_GOLANG_INSTALL_EXTRA := godoc/static
 
-execute_after_dh_auto_install:
+override_dh_auto_install:
+	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) gopls" dh_auto_install
+
 	# Rename “eg” to “golang-eg” (#753978)
 	# Rename “stress” to “golang-stress” (#793693)
 	# Rename “bundle” to “golang-bundle” (#818551)

## golang-golang-x-tools 0.1.0%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add golang-golang-x-sys-dev to Depends
  * Update Standards-Version to 4.5.1 (no changes)
  * Drop genapijson binary.
    It was in internal directory, now it has been removed
  * Drop gostacks binary.
    It's in internal directory
  * Add new golang-fieldalignment binary

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 Jan 2021 17:55:13 +0800

## golang-golang-x-tools 0.1.0+ds

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,12 @@
                golang-golang-x-mod-dev (>= 0.2.0),
                golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
                golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+               golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
                golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
                golang-honnef-go-tools-dev,
                golang-mvdan-gofumpt-dev,
                golang-mvdan-xurls-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
 Homepage: https://golang.org/x/tools
@@ -52,6 +53,7 @@
          golang-golang-x-mod-dev (>= 0.2.0),
          golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
          golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+         golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
          golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,13 @@
 # Some gopls tests take too much time
 export DH_GOLANG_EXCLUDES := \
 	cmd/cover cmd/getgo/server \
+	internal/stack/gostacks \
 	internal/lsp/helper gopls/doc \
-	gopls/internal/regtest gopls/integration
+	gopls/internal/regtest gopls/integration \
+	gopls/release gopls/test
 
-# godoc/static is needed for tests.
-export DH_GOLANG_INSTALL_EXTRA := godoc/static
+# needed for tests.
+export DH_GOLANG_INSTALL_EXTRA := godoc/static gopls/go.sum
 
 override_dh_auto_install:
 	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) gopls" dh_auto_install
@@ -19,9 +21,12 @@
 	# Rename “bundle” to “golang-bundle” (#818551)
 	# Rename “guru” to “golang-guru”
 	# Rename “findcall” to “golang-findcall”, etc. (#953725)
+	#
+	# All go/analysis/*/*/cmd/*
+	# All cmd/auth/*
 	for i in eg stress bundle guru \
-		 findcall ifaceassert lostcancel nilness stringintconv shadow unmarshal \
-		 authtest cookieauth gitauth netrcauth; \
+		fieldalignment findcall ifaceassert lostcancel nilness shadow stringintconv unmarshal \
+		authtest cookieauth gitauth netrcauth; \
 	do \
 	    mv debian/tmp/usr/bin/$$i debian/tmp/usr/bin/golang-$$i; \
 	done

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+ds\d*$//, repacksuffix=+ds" \
  https://github.com/golang/tools \
  refs/tags/v?@ANY_VERSION@ debian

## golang-golang-x-tools 0.1.5+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.5+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.0 (no changes)
  * Refresh patches
  * Bump golang-honnef-go-tools-dev to 2021.1.1

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Sep 2021 16:45:30 +0800

## golang-golang-x-tools 0.1.7+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Include ocagent package when build

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 19:06:56 +0800

golang-golang-x-tools (1:0.1.7+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Install new binary file2fuzz

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 10 Oct 2021 00:41:50 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Excluded binaries. List all binary names:
# rg -l -g'!*_test.go' -g'!testdata' '^package main'|xargs dirname|sort -u
export DH_GOLANG_EXCLUDES := \
	cmd/cover \
	cmd/getgo/server \
	gopls/api-diff \
	gopls/doc \
	gopls/integration/govim \
	gopls/internal/coverage \
	gopls/release \
	internal/lsp/helper \
	internal/stack/gostacks

# Excluded tests
export DH_GOLANG_EXCLUDES += \
	gopls/internal/regtest \
	gopls/test

# needed for tests.
export DH_GOLANG_INSTALL_EXTRA := godoc/static gopls/go.sum

# eg #753978
# stress #793693
# bundle #818551
RENAME_BIN := \
	bundle \
	eg \
	guru \
	stress

# All go/analysis/*/*/cmd/*
RENAME_BIN += \
	fieldalignment \
	findcall \
	ifaceassert \
	lostcancel \
	nilness \
	shadow \
	stringintconv \
	unmarshal

# All cmd/auth/*
RENAME_BIN += \
	authtest \
	cookieauth \
	gitauth \
	netrcauth

execute_after_dh_auto_install:
	for i in $(RENAME_BIN); \
	do \
	    mv debian/tmp/usr/bin/$$i debian/tmp/usr/bin/golang-$$i; \
	done

override_dh_auto_test:
ifeq (,$(findstring gccgo, $(shell go version)))
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
	dh_auto_test -- -short -timeout=30m
endif

%:
	dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.1.8+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.8+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Dec 2021 03:14:00 +0800

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
                golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
                golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
-               golang-honnef-go-tools-dev,
+               golang-honnef-go-tools-dev (>= 2021.1.1~),
                golang-mvdan-gofumpt-dev,
                golang-mvdan-xurls-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
 Homepage: https://golang.org/x/tools

## golang-golang-x-tools 0.1.9%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.9+ds-2ubuntu2.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 02 May 2023 13:15:33 +0530

golang-golang-x-tools (1:0.1.9+ds-2ubuntu2.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 31 Jan 2023 11:34:05 +0100

golang-golang-x-tools (1:0.1.9+ds-2ubuntu2) jammy; urgency=medium

  * Add new findtypeparams command to d/golang-golang-x-tools.install

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 17 Mar 2022 09:19:23 -0500

golang-golang-x-tools (1:0.1.9+ds-2ubuntu1) jammy; urgency=medium

  * Fix FTBFS with Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 16 Mar 2022 18:36:11 -0500

golang-golang-x-tools (1:0.1.9+ds-2) unstable; urgency=medium

  * Team upload.
  * Add Multi-Arch hint
  * Refresh lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Feb 2022 23:11:16 +0800

golang-golang-x-tools (1:0.1.9+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Feb 2022 23:53:11 +0800

## golang-golang-x-tools 0.1.9+ds

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 # Excluded tests
 export DH_GOLANG_EXCLUDES += \
+	copyright \
 	gopls/internal/regtest \
 	gopls/test

## golang-golang-x-tools 0.1.10+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.10+ds-1.lnd.1) unstable; urgency=medium

  * Add loong64 support

 -- Meidan Li <limeidan@loongson.cn>  Sat, 11 Jun 2022 11:02:33 +0800

golang-golang-x-tools (1:0.1.10+ds-1) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Remove self from Uploaders

  [ Shengjing Zhu ]
  * New upstream release (Closes: #1007800)
  * Fix Multi-Arch hint
  * Fix Martina name and email address
  * Update exclude packages for new version
  * Bump golang-golang-x-mod-dev to 0.5.1-2
  * Bump golang-mvdan-gofumpt-dev to 0.3.0
  * Install extra testdata for lsp help test

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Mar 2022 01:26:33 +0800

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,15 @@
 Source: golang-golang-x-tools
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
+Uploaders: Martina Ferrari <tina@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>,
-           Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Anthony Fok <foka@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-golang (>= 1.40~),
                golang-any (>= 2:1.12~),
-               golang-github-sergi-go-diff-dev,
-               golang-github-yuin-goldmark-dev (>= 1.1.27),
-               golang-golang-x-mod-dev (>= 0.2.0),
-               golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
-               golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
-               golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
-               golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
-               golang-honnef-go-tools-dev (>= 2021.1.1~),
-               golang-mvdan-gofumpt-dev,
-               golang-mvdan-xurls-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
@@ -49,13 +38,8 @@
 
 Package: golang-golang-x-tools-dev
 Architecture: all
-Depends: golang-github-yuin-goldmark-dev (>= 1.1.27),
-         golang-golang-x-mod-dev (>= 0.2.0),
-         golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
-         golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
-         golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
-         golang-golang-x-xerrors-dev (>= 0.0~git20191204.9bdfabe),
-         ${misc:Depends},
+Multi-Arch: foreign
+Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: supplementary Go tools (development files)
  This subrepository holds the source for various packages and tools that

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Excluded binaries. List all binary names:
# go list -f '{{ if eq .Name "main" }}{{ .ImportPath }}{{ end }}' ./...
# (cd gopls && go list -f '{{ if eq .Name "main" }}{{ .ImportPath }}{{ end }}' ./...)
export DH_GOLANG_EXCLUDES := \
	cmd/cover \
	cmd/getgo/server \
	cmd/signature-fuzzer \
	gopls/api-diff \
	gopls/doc \
	gopls/integration/govim \
	gopls/internal/coverage \
	gopls/release \
	internal/lsp/helper \
	internal/stack/gostacks \
	internal/typeparams/example/findtypeparams

# Excluded tests
export DH_GOLANG_EXCLUDES += \
	copyright \
	gopls/internal/regtest \
	gopls/test

# needed for tests.
export DH_GOLANG_INSTALL_EXTRA := \
	godoc/static \
	gopls/go.sum \
	internal/lsp/cmd/usage

# eg #753978
# stress #793693
# bundle #818551
RENAME_BIN := \
	bundle \
	eg \
	guru \
	stress

# All go/analysis/*/*/cmd/*
RENAME_BIN += \
	fieldalignment \
	findcall \
	ifaceassert \
	lostcancel \
	nilness \
	shadow \
	stringintconv \
	unmarshal

# All cmd/auth/*
RENAME_BIN += \
	authtest \
	cookieauth \
	gitauth \
	netrcauth

override_dh_auto_build:
	dh_auto_build -O-buildsystem=golang
	cd gopls && rm -rf go.sum && go build -o ./gopls main.go

override_dh_auto_install:
	dh_auto_install -O-buildsystem=golang
	for i in $(RENAME_BIN); \
	do \
	    mv debian/tmp/usr/bin/$$i debian/tmp/usr/bin/golang-$$i; \
	done
	mv gopls/gopls debian/tmp/usr/bin/gopls

override_dh_dwz:

override_dh_auto_test:
ifeq (,$(findstring gccgo, $(shell go version)))
	# use short tests where possible (especially to skip tests like
	# TestWebIndex which are very slow)
#	dh_auto_test -- -short -timeout=30m
endif

%:
	rm -rf go.sum
	GOPROXY="http://goproxy.loongnix.cn:3000" GOSUMDB="off" GO111MODULE="on" dh $@ --buildsystem=golang --with=golang

## golang-golang-x-tools 0.1.11+ds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.11+ds-2) unstable; urgency=medium

  * Team upload
  * Add golang-golang-x-vuln-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 25 Jun 2022 20:30:38 +0800

golang-golang-x-tools (1:0.1.11+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Standards-Version to 4.6.1 (no changes)
  * Drop dependency golang-golang-x-xerrors-dev
  * Disable vulncheck in gopls
    golang.org/x/vuln is not packaged yet

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Jun 2022 16:29:07 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,20 @@
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.40~),
                golang-any (>= 2:1.12~),
-Standards-Version: 4.6.0
+               golang-github-sergi-go-diff-dev,
+               golang-github-yuin-goldmark-dev (>= 1.1.27),
+               golang-golang-x-mod-dev (>= 0.5.1-2~),
+               golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
+               golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+               golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
+               golang-golang-x-vuln-dev,
+               golang-honnef-go-tools-dev (>= 2021.1.1~),
+               golang-mvdan-gofumpt-dev (>= 0.3.0~),
+               golang-mvdan-xurls-dev,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
 Homepage: https://golang.org/x/tools
@@ -39,7 +49,12 @@
 Package: golang-golang-x-tools-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: golang-github-yuin-goldmark-dev (>= 1.1.27),
+         golang-golang-x-mod-dev (>= 0.5.1-2~),
+         golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
+         golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
+         golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: supplementary Go tools (development files)
  This subrepository holds the source for various packages and tools that

## golang-golang-x-tools 0.1.12%2Bds

=== debian/changelog ===
golang-golang-x-tools (1:0.1.12+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump build-dependency golang-any (>= 2:1.18~) as per go.mod
  * Update versioned dependencies as per go.mod
  * Remove unneeded dependency on ${shlibs:Depends} for -dev package
  * Build-depend on dh-golang (>= 1.58~) to avoid dh_dwz errors
  * Replace Built-Using field with Static-Built-Using

 -- Anthony Fok <foka@debian.org>  Thu, 29 Sep 2022 18:04:31 -0600

golang-golang-x-tools (1:0.1.12+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release 0.1.12
  * Bump golang-golang-x-vuln-dev to 0.0~git20220725.4151a5a

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 03 Aug 2022 04:17:12 +0800

=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.40~),
-               golang-any (>= 2:1.12~),
+               dh-golang (>= 1.58~),
+               golang-any (>= 2:1.18~),
                golang-github-sergi-go-diff-dev,
-               golang-github-yuin-goldmark-dev (>= 1.1.27),
+               golang-github-yuin-goldmark-dev (>= 1.4.13),
                golang-golang-x-mod-dev (>= 0.5.1-2~),
-               golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
-               golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
-               golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
-               golang-golang-x-vuln-dev,
-               golang-honnef-go-tools-dev (>= 2021.1.1~),
-               golang-mvdan-gofumpt-dev (>= 0.3.0~),
-               golang-mvdan-xurls-dev,
+               golang-golang-x-net-dev (>= 1:0.0+git20220722.a158d28),
+               golang-golang-x-sync-dev (>= 0.0~git20220722.886fb93),
+               golang-golang-x-sys-dev (>= 0.0~git20220722.8c9f86f),
+               golang-golang-x-vuln-dev (>= 0.0~git20220725.4151a5a),
+               golang-honnef-go-tools-dev (>= 2022.1.2),
+               golang-mvdan-gofumpt-dev (>= 0.3.1),
+               golang-mvdan-xurls-dev (>= 2.4.0),
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-golang-x-tools
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-golang-x-tools.git
@@ -34,7 +34,7 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: golang-doc,
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Built-Using},
 Description: supplementary Go tools
  This subrepository holds the source for various packages and tools that
  support the Go programming language.
@@ -49,13 +49,12 @@
 Package: golang-golang-x-tools-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-yuin-goldmark-dev (>= 1.1.27),
+Depends: golang-github-yuin-goldmark-dev (>= 1.4.13),
          golang-golang-x-mod-dev (>= 0.5.1-2~),
-         golang-golang-x-net-dev (>= 1:0.0+git20200226.0de0cce),
-         golang-golang-x-sync-dev (>= 0.0~git20190911.cd5d95a),
-         golang-golang-x-sys-dev (>= 0.0~git20210124.22da62e),
+         golang-golang-x-net-dev (>= 1:0.0+git20220722.a158d28),
+         golang-golang-x-sync-dev (>= 0.0~git20220722.886fb93),
+         golang-golang-x-sys-dev (>= 0.0~git20220722.8c9f86f),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: supplementary Go tools (development files)
  This subrepository holds the source for various packages and tools that
  support the Go programming language.
@@ -73,7 +72,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
+Static-Built-Using: ${misc:Built-Using},
 Breaks: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
 Replaces: golang-golang-x-tools (<< 1:0.0~git20201116.6f6c72a+ds-3),
 Description: language server for the Go language

=== debian/rules ===
--- 
+++ 
@@ -56,27 +56,18 @@
 	gitauth \
 	netrcauth
 
-override_dh_auto_build:
-	dh_auto_build -O-buildsystem=golang
-	cd gopls && rm -rf go.sum && go build -o ./gopls main.go
-
-override_dh_auto_install:
-	dh_auto_install -O-buildsystem=golang
+execute_after_dh_auto_install:
 	for i in $(RENAME_BIN); \
 	do \
 	    mv debian/tmp/usr/bin/$$i debian/tmp/usr/bin/golang-$$i; \
 	done
-	mv gopls/gopls debian/tmp/usr/bin/gopls
-
-override_dh_dwz:
 
 override_dh_auto_test:
 ifeq (,$(findstring gccgo, $(shell go version)))
 	# use short tests where possible (especially to skip tests like
 	# TestWebIndex which are very slow)
-#	dh_auto_test -- -short -timeout=30m
+	dh_auto_test -- -short -timeout=30m
 endif
 
 %:
-	rm -rf go.sum
-	GOPROXY="http://goproxy.loongnix.cn:3000" GOSUMDB="off" GO111MODULE="on" dh $@ --buildsystem=golang --with=golang
+	dh $@ --buildsystem=golang --with=golang
